/*****************************************************************************
 * PurchaseDialog.cs: SharpMusique 0.1
 *****************************************************************************
 * Copyright (C) 2005 Jon Lech Johansen <jon@nanocrew.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

using System;

using Gtk;
using Glade;

class PurchaseDialog : GladeDialog
{
    [Widget] protected Label title;
    [Widget] protected Label artist;
    [Widget] protected Label album;
    [Widget] protected Label price;

    public string Title
    {
        set
        {
            title.Markup = "<b>Title:</b> " + Utility.MarkupSanitize(value);
        }
    }

    public string Artist
    {
        set
        {
            artist.Markup = "<b>Artist:</b> " + Utility.MarkupSanitize(value);
        }
    }

    public string Album
    {
        set
        {
            album.Markup =  "<b>Album:</b> " + Utility.MarkupSanitize(value);
        }
    }

    public string Price
    {
        set
        {
            price.Markup = "<b>Price:</b> " + Utility.MarkupSanitize(value);
        }
    }

    public PurchaseDialog( Window parent ) :
        base ("PurchaseDialog.glade", parent)
    {

    }
}
